> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toku.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Custody Allocations

> Deletes the specified custody allocation records by ID.

Not available to API keys yet. It will need `wallets:write`.

## OpenAPI

````yaml api-reference/openapi.json POST /tga/delete-custody-allocations
openapi: 3.1.0
info:
  title: Toku API
  version: 1.0.0
servers:
  - url: https://api.toku.com
security:
  - bearerAuth: []
paths:
  /tga/delete-custody-allocations:
    post:
      operationId: deleteCustodyAllocations
      summary: Delete Custody Allocations
      description: |-
        Deletes the specified custody allocation records by ID.

        Not available to API keys yet. It will need `wallets:write`.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/DeleteCustodyAllocationsRequest'
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DeleteCustodyAllocationsResponse'
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not found
        '409':
          description: Conflict
        '429':
          description: Response 429
components:
  schemas:
    DeleteCustodyAllocationsRequest:
      type: object
      properties:
        custodyAllocationIDs:
          type: array
          items:
            type: string
            format: uuid
          minItems: 1
          maxItems: 1000
      required:
        - custodyAllocationIDs
    DeleteCustodyAllocationsResponse:
      type: object
      properties:
        success:
          type: boolean
      required:
        - success
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
````
